! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 2.10.
  program C10
    implicit none
    real, parameter :: X = 0.9
    integer :: Rounded, Truncated
! start program C10
    Rounded = nint( X )  ! Round 0.9 and assign 1
    Truncated = int( X )  ! Truncate 0.9 and assign 0
    write (unit = *, fmt = *) X, Rounded, Truncated
    stop
  end program C10
